%$Id: a2poster.cls,v 1.5 1999/04/05 14:49:56 mjf Exp $
%% 
%% This is file `a2poster.cls'
%% 
%% Copyright (C) 07.05.97 Gerlinde Kettl and Matthias Weiser
%%
%% Problems, bugs and comments to 
%% gerlinde.kettl@physik.uni-regensburg.de
%% 
%% changed textwidths and margins to cope with printable area and
%% frame.  Make sure that the offsets are set to -1in!
%% Also changed scaling for a0->a4, since this was wrong.
%%
%% file adapted from a0 to a2

%% This version changed by Eneko Martin-Martinez on 2.5.2023. Every instance
%% of the string ``draft'' replaced by the string ``preview''. This gives 
%% an a4 size preview but includes the postscript figures

\ProvidesClass{a2poster}[1997/05/07 v1.21b a2poster class (GK, MW)]
\NeedsTeXFormat{LaTeX2e}[1995/06/01]
\LoadClass{article}

\usepackage{titlesec}

\newif\ifportrait
\newif\ifanullb
\newif\ifanull
\newif\ifaeins
\newif\ifazwei
\newif\ifadrei
\newif\ifpreview

\newcount\xkoord
\newcount\ykoord
\newcount\xscale
\newcount\yscale

\DeclareOption{a0b}{
\anullbtrue
\xkoord=2592 % big points (1 bp=1/72 inch)
\ykoord=3666 % big points (1 bp=1/72 inch)
\xscale=23
\yscale=23
}
\DeclareOption{a0}{
\anulltrue\anullbfalse
\xkoord=2380 % big points (1 bp=1/72 inch)
\ykoord=3368 % big points (1 bp=1/72 inch)
\xscale=25
\yscale=25
}
\DeclareOption{a1}{
\aeinstrue\anullbfalse
\xkoord=1684 % big points (1 bp=1/72 inch)
\ykoord=2380 % big points (1 bp=1/72 inch)
\xscale=3
\yscale=3
}
\DeclareOption{a2}{
\azweitrue\anullbfalse
\xkoord=1190 % big points (1 bp=1/72 inch)
\ykoord=1684 % big points (1 bp=1/72 inch)
\xscale=4
\yscale=4
}
\DeclareOption{a3}{
\adreitrue\anullbfalse
\xkoord=842  % big points (1 bp=1/72 inch)
\ykoord=1190 % big points (1 bp=1/72 inch)
\xscale=6
\yscale=6
}
\DeclareOption{landscape}{
\portraitfalse
}
\DeclareOption{portrait}{
\portraittrue
}
\DeclareOption{preview}{
\previewtrue
}
\DeclareOption{final}{
\previewfalse
}
\DeclareOption*{\PackageWarning{a0poster}{Unknown Option \CurrentOption}}
\ExecuteOptions{landscape,a2,final}
\ProcessOptions\relax


\setlength{\paperwidth}{59.4cm}
\setlength{\paperheight}{41.98cm}
\setlength{\textwidth}{56.2cm}
\setlength{\textheight}{37.48cm}


\ifportrait
   \newdimen\tausch
   \setlength{\tausch}{\paperwidth}
   \setlength{\paperwidth}{\paperheight}
   \setlength{\paperheight}{\tausch}
   \setlength{\tausch}{\textwidth}
   \setlength{\textwidth}{\textheight}
   \setlength{\textheight}{\tausch}
\else\relax
\fi

%% Setting proper dimensions for the HP2500CP printer (height = 36 in)
%%   Landscape: unprintable areas
%%   	L: 27.6mm
%%   	R: 27.1mm
%%   	T: 18.4mm
%%   	B: 18.1mm


\voffset -1in
\hoffset -1in

\setlength{\headheight}{0 cm}
\setlength{\headsep}{0 cm}
\setlength{\topmargin}{2 cm} 
\setlength{\topskip}{0 cm}

\input{a2size.sty}

\renewcommand{\tiny}{\fontsize{8}{10}\selectfont}
\renewcommand{\scriptsize}{\fontsize{10.4}{14}\selectfont}   
\renewcommand{\footnotesize}{\fontsize{13.28}{18}\selectfont}
\renewcommand{\small}{\fontsize{16}{19}\selectfont}
\renewcommand{\normalsize}{\fontsize{18.88}{24}\selectfont}
\renewcommand{\large}{\fontsize{20.86}{25}\selectfont}
\renewcommand{\Large}{\fontsize{30.83}{40}\selectfont}
\renewcommand{\LARGE}{\fontsize{39}{46}\selectfont}
\renewcommand{\huge}{\fontsize{43.6}{54}\selectfont}
\renewcommand{\Huge}{\fontsize{50.92}{65}\selectfont}
\newcommand{\veryHuge}{\fontsize{63.3}{80}\selectfont}
\newcommand{\VeryHuge}{\fontsize{78.16}{94}\selectfont}
\newcommand{\VERYHuge}{\fontsize{90}{100}\selectfont}

\setlength\smallskipamount{6pt plus 2pt minus 2pt}
\setlength\medskipamount{12pt plus 4pt minus 4pt}
\setlength\bigskipamount{24pt plus 8pt minus 8pt}

\setlength\abovecaptionskip{25pt}
\setlength\belowcaptionskip{0pt}
\setlength\abovedisplayskip{25pt plus 6pt minus 15 pt}
\setlength\abovedisplayshortskip{0pt plus 6pt}
\setlength\belowdisplayshortskip{13pt plus 7pt minus 6pt}
\setlength\belowdisplayskip\abovedisplayskip

\titlespacing\section{0pt}{12pt plus 4pt minus 2pt}{0pt plus 2pt minus 2pt}

\normalsize

\AtBeginDocument{\special{papersize=41.98cm,59.4cm}\pagestyle{empty}}

\endinput
%% 
%% End of file `a2poster.cls'.